Skip to main content
GET
/
v0
/
reconciliations
List Reconciliations
curl --request GET \
  --url https://api.sandbox.teal.dev/v0/reconciliations \
  --header 'Authorization: Bearer <token>' \
  --header 'teal-instance-id: <teal-instance-id>'
{
  "next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
  "prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
  "records": [
    {
      "id": "<string>",
      "start_datetime": "2023-11-07T05:31:56Z",
      "end_datetime": "2023-11-07T05:31:56Z",
      "reconciled_balance": 123,
      "statement_ending_balance": 123,
      "progress_status": "<string>",
      "final_reconciled_balance": 123,
      "ledger_id": "WTjdK47SHxokWUdypL8zyB",
      "statement_starting_balance": 122629.38,
      "completed_on_datetime": "2024-01-01T00:00:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

Query Parameters

sort
enum<string>[] | null

A comma separated list of sort orders for the results.

Available options:
ending_date,
-ending_date
progress_status
enum<string> | null

Only return Reconciliations with a specific progress status.

Available options:
completed,
in_progress
ledger_id
string | null

The ledger ID.

ids
string[] | null

A comma separated list of Reconciliation IDs. Only return Reconciliations with the specified IDs. Returns 404 if an ID is not found, 403 if any ID is not authorized.

limit
integer
default:50

The number of records to return. Max limit is 1000.

Required range: x >= 1
page_token
string | null

Opaque page token

Response

Successful Response

next_page_token
string | null
required

The token to use to request the next page

Example:

"ikal0NEVfMhF8dJf4yQ6KQZmGD"

prev_page_token
string | null
required

The token to use to request the previous page

Example:

"vuA7JeKI5c6FLnPt5JfRcZcJxW"

records
Reconciliation · object[]
required

A list of Reconciliations.